/* Backgrounds */
.bg-schwarz{
	background:var(--schwarz);
}
.bg-weiss{
	background:var(--weiss);
}

.bg-braun{
	background:var(--braun);
}
.bg-dunkelbraun{
	background: var(--dunkelbraun);
}
.bg-mittelbraun{
	background: var(--mittelbraun);
}
.bg-hellbraun{
	background: var(--hellbraun);
}

/* Höhe */
.fullHeight{
	min-height: 100vh;
}
.fullHeight-90{
	min-height: 90vh;
}
.fullHeight-80{
	min-height: 80vh;
}
.fullHeight-70{
	min-height: 70vh;
}
.fullHeight-60{
	min-height: 60vh;
}
.fullHeight-50{
	min-height: 50vh;
}
.fullHeight-40{
	min-height: 40vh;
}


/* Texte */
.tiny-text{
	font-size:var(--text-2-size);
	line-height:var(--text-2-line-height);
}
.mini-text{
	font-size:var(--text-1-size);
	line-height:var(--text-1-line-height);
}
.big-text{
	font-size:var(--text-4-size);
	line-height:var(--text-4-line-height);
	text-wrap:balance;
}
.text-schwarz{
	color:var(--schwarz);
}
.text-weiss{
	color:var(--weiss);
}
.text-weiss a{
	color:var(--weiss);
}
.text-weiss a:hover{
	color:var(--orange);
}

.text-braun{
	color:var(--braun);
}
.text-dunkelbraun{
	color:var(--dunkelbraun);
}
.text-mittelbraun{
	color:var(--mittelbraun);
}
.text-hellbraun{
	color:var(--hellbraun);
}

.text-balance{
	text-wrap:balance;
}


/* Transform */
.translateY-negativ{
	transform:translateY( var(--standard-translateY) );
}
.translateY-negativ-half{
	transform:translateY( calc( var(--standard-translateY) * 0.5 ) );
}
.translateY-negativ-onAndHalf{
	transform:translateY( calc( var(--standard-translateY) * 1.5 ) );
}
.translateY-negativ-double{
	transform:translateY( calc( var(--standard-translateY) * 2 ) );
}

/* Animationen Bilder */
.content-image.kenBurnsEffekt{
	
}
.content-image.kenBurnsEffekt figure {
  width: 100%;
  height: 80vh;
  margin: 0 auto;
  overflow: hidden;
  position: relative;
}

.content-image.kenBurnsEffekt.speed-10 figure img {
  width: 100%;
  animation: kenBurnsEffekt var(--animations-speed) ease infinite;
  -ms-animation: kenBurnsEffekt var(--animations-speed) ease infinite;
  -webkit-animation: kenBurnsEffekt var(--animations-speed) ease infinite;
  -0-animation: kenBurnsEffekt var(--animations-speed) ease infinite;
  -moz-animation: kenBurnsEffekt var(--animations-speed) ease infinite;
  position: absolute;
}
.content-image.kenBurnsEffekt.speed-20 figure img {
  width: 100%;
  animation: kenBurnsEffekt calc( var(--animations-speed) * 2 ) ease infinite;
  -ms-animation: kenBurnsEffekt calc( var(--animations-speed) * 2 ) ease infinite;
  -webkit-animation: kenBurnsEffekt calc( var(--animations-speed) * 2 ) ease infinite;
  -0-animation: kenBurnsEffekt calc( var(--animations-speed) * 2 ) ease infinite;
  -moz-animation: kenBurnsEffekt calc( var(--animations-speed) * 2 ) ease infinite;
  position: absolute;
}
.content-image.kenBurnsEffekt.speed-30 figure img {
  width: 100%;
  animation: kenBurnsEffekt calc( var(--animations-speed) * 3 ) ease infinite;
  -ms-animation: kenBurnsEffekt calc( var(--animations-speed) * 3 ) ease infinite;
  -webkit-animation: kenBurnsEffekt calc( var(--animations-speed) * 3 ) ease infinite;
  -0-animation: kenBurnsEffekt calc( var(--animations-speed) * 3 ) ease infinite;
  -moz-animation: kenBurnsEffekt calc( var(--animations-speed) * 3 ) ease infinite;
  position: absolute;
}
@-webkit-keyframes kenBurnsEffekt {
  0% {
    -webkit-transform-origin: bottom left;
    -moz-transform-origin: bottom left;
    -ms-transform-origin: bottom left;
    -o-transform-origin: bottom left;
    transform-origin: bottom left;
    transform: scale(1.0);
    -ms-transform: scale(1.0);   
    -webkit-transform: scale(1.0);
    -o-transform: scale(1.0);
    -moz-transform: scale(1.0);
  }
  50% {
    transform: scale(1.2);
    -ms-transform: scale(1.2);
    -webkit-transform: scale(1.2);
    -o-transform: scale(1.2);
    -moz-transform: scale(1.2);
  }
  100% {
    transform: scale(1.0);
    -ms-transform: scale(1.0);
    -webkit-transform: scale(1.0);
    -o-transform: scale(1.0);
    -moz-transform: scale(1.0);
  }
}